<!-- $Id: form_init.cs 322 2005-10-24 10:42:50Z lars $ -->

<h1><?cs var:Lang.Title.Init ?></h1>

<div class="init">
	<?cs call:print_form_header() ?>

		<p class="note"><?cs var:Lang.Text.InitWarning ?></p>
		<?cs if:Data.Config.AdminPasswordIsSet ?>
			<p><label for="current_admin_password"><?cs call:help_popUp(Lang.Text.EnterCurrentAdminPassword,"prove_admin_pw") ?></label><br/>
				<input type="password" id="current_admin_password" name="current_admin_password" size="20" tabindex="0" maxlength="40" /> </p>
		<?cs /if ?>
			<p><label for="admin_password"><?cs call:help_popUp(Lang.Text.EnterNewAdminPassword,"new_admin_pw") ?></label><br/>
				<input type="password" id="admin_password" name="admin_password" size="20" tabindex="1" maxlength="40" /> </p>
			<p><label for="admin_password2"><?cs call:help_popUp(Lang.Text.EnterSameAdminPassword,"new_admin_pw_repeat") ?></label><br/>
				<input type="password" id="admin_password2" name="admin_password2" size="20" tabindex="2" maxlength="40" /></p>
		<p><label for="crypto_password"><?cs call:help_popUp(Lang.Text.EnterNewCryptoPassword,"crypto_pw") ?></label><br/>
			<input type="password" id="crypto_password" name="crypto_password" size="20" tabindex="3" maxlength="40" /></p>
		<p><label for="crypto_password2"><?cs call:help_popUp(Lang.Text.EnterSameCryptoPassword,'crypto_pw_repeat') ?></label><br/>
			<input type="password" id="crypto_password2" name="crypto_password2" size="20" tabindex="4" maxlength="40" /></p>
		<p><label for="confirm"><?cs call:help_popUp(Lang.Text.ConfirmInitHint,'confirm_text') ?><br/>
			<span class="note" id="confirmtext"><?cs var:Lang.Text.ConfirmInit ?></span></label><br/>
			<input type="text" id="confirm" name="confirm" size="30" tabindex="5" maxlength="50" /></p>
			<input type="hidden" name="action" value="init_do" />
		<button type="submit" tabindex="100"><?cs var:Lang.Button.DoInit ?></button>
	</form>
</div>

<hr/>

<div class="partition_info">
	<h2><?cs var:Lang.Text.PartitionInfo ?></h2>
	<p><?cs var:Data.PartitionInfo ?></p>
</div>
